#215 turbo_test fails on ubuntu 12.04 distro

SVN
closed
None
1
2013-05-24
2012-09-16
No

There is a small rounding error that makes the turbo_test fail. The diff of the standard output and the reference file is as follows,

~/svn/IT++/trunk/tests$ diff turbo_test.out turbo_test.ref
57c57
< ber = [[0.1489 0.09065 0.0519 0.00355 0.00195]
---
> ber = [[0.1489 0.0907 0.0519 0.00355 0.00195]
67c67
< err = [[2978 1813 1038 71 39]
---
> err = [[2978 1814 1038 71 39]
72c72
< cor = [[17022 18187 18962 19929 19961]
---
> cor = [[17022 18186 18962 19929 19961]

Discussion

  • Bogdan Cristea

    Bogdan Cristea - 2012-10-30

    I have checked with 12.04.1 i386, sources from trunk, blas, lapack and fftw installed from ubuntu repos. All tests pass. Please confirm in order to close the bug.

     
  • Bogdan Cristea

    Bogdan Cristea - 2012-10-30
    • assigned_to: Bogdan Cristea
     
  • Mirsad Čirkić

    Mirsad Čirkić - 2012-11-01

    I am a bit swamped at the moment. I will take a look at that in a couple of
    weeks.

    /Mirsad

    On Tue, Oct 30, 2012 at 2:43 PM, Bogdan Cristea cristeab@users.sf.netwrote:

    I have checked with 12.04.1 i386, sources from trunk, blas, lapack and
    fftw installed from ubuntu repos. All tests pass. Please confirm in order
    to close the bug.


    • bugs:215 turbo_test fails on ubuntu 12.04 distro*

    Status: open Created: Sun Sep 16, 2012 02:24 PM UTC by Mirsad Čirkić Last
    Updated:
    Sun Sep 16, 2012 02:24 PM UTC Owner: nobody

    There is a small rounding error that makes the turbo_test fail. The diff
    of the standard output and the reference file is as follows,

    ~/svn/IT++/trunk/tests$ diff turbo_test.out turbo_test.ref
    57c57
    < ber = [[0.1489 0.09065 0.0519 0.00355 0.00195]


    ber = [[0.1489 0.0907 0.0519 0.00355 0.00195]
    67c67
    < err = [[2978 1813 1038 71 39]


    err = [[2978 1814 1038 71 39]
    72c72
    < cor = [[17022 18187 18962 19929 19961]


    > cor = [[17022 18186 18962 19929 19961]

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/itpp/bugs/215/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Mirsad Čirkić

    Mirsad Čirkić - 2012-11-13

    Yes, I have also tried it now and the test passes. From what I can tell,
    this bug is fixed.

    -Mirsad

    On Tue, Oct 30, 2012 at 2:43 PM, Bogdan Cristea cristeab@users.sf.netwrote:

    I have checked with 12.04.1 i386, sources from trunk, blas, lapack and
    fftw installed from ubuntu repos. All tests pass. Please confirm in order
    to close the bug.


    • bugs:215 turbo_test fails on ubuntu 12.04 distro*

    Status: open Created: Sun Sep 16, 2012 02:24 PM UTC by Mirsad Čirkić Last
    Updated:
    Sun Sep 16, 2012 02:24 PM UTC Owner: nobody

    There is a small rounding error that makes the turbo_test fail. The diff
    of the standard output and the reference file is as follows,

    ~/svn/IT++/trunk/tests$ diff turbo_test.out turbo_test.ref
    57c57
    < ber = [[0.1489 0.09065 0.0519 0.00355 0.00195]


    ber = [[0.1489 0.0907 0.0519 0.00355 0.00195]
    67c67
    < err = [[2978 1813 1038 71 39]


    err = [[2978 1814 1038 71 39]
    72c72
    < cor = [[17022 18187 18962 19929 19961]


    > cor = [[17022 18186 18962 19929 19961]

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/itpp/bugs/215/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Bogdan Cristea

    Bogdan Cristea - 2013-04-08
    • status: open --> accepted
     
  • Bogdan Cristea

    Bogdan Cristea - 2013-05-24
    • status: accepted --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks